Web lists-archives.com

Re: [Samba] Kodi crashes when trying to browse network




On 11/3/18 11:10 AM, Rowland Penny via samba wrote:
I think it may be because Debian uses libgnutls28-dev, whilst Fedora
uses trousers

It seems to be a Kodi CMake issue, but I would argue Samba or trousers need to change the name of "read_data" to something more unique if it is going to be an exported shared symbol.

Kodi requires libmicrohttpd. The libmicrohttpd library uses gnutls and Fedora's gnutls links against trousers. Fedora's gnutls pulls in trousers through dlopen(), but CMake is pulling in libtspi as a compile-time link and the linker is using read_data() from libtspi over the Samba copy.

Versions 17.x of Kodi used autotools and didn't pull in libtspi. Version 18 relies soley on CMake.

I have worked[1] around the problem by filtering out "tspi" from being added to the linker libraries in Kodi's CMake macros. Kodi no longer crashes.

Thanks,
Michael

[1] https://pkgs.rpmfusion.org/cgit/free/kodi.git/diff/kodi-18-trousers.patch?id=005ee8fd5625beb9b95d06037ffe185c0e5e4fa0

--
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba